# Get historical validator performance

Returns a paginated list of validator performances

```
GET /validators/{public_key}/relative-performances
```

## Query params

| Query param | Description                     |
| ----------- | ------------------------------- |
| `era_id`    | Comma-separated list of era ids |

## Sorting

| Query param | Description                 |
| ----------- | --------------------------- |
| `era_id`    | Sort performances by era id |

## Optional properties

None

## Response

[`PaginatedResponse`](https://docs.cspr.cloud/1.1.x/documentation/overview/pagination)[`<RelativeValidatorPerformance>`](https://docs.cspr.cloud/1.1.x/rest-api/validator-performance)

## Example

```bash
curl -X 'GET' \
  'https://api.testnet.cspr.cloud/validators/01E8121A2586A6ADD8A65990080633ADFA4E0D32088D36D7FB6F6D3EDE1BD7B823/relative-average-performances' \
  -H 'accept: application/json' \
  -H 'authorization: 55f79117-fc4d-4d60-9956-65423f39a06a'

```

```json
{
  "data": [
    {
      "public_key": "010000000000fd80000000000500001ffe000003000000013f000c3f0000000000",
      "era_id": 2592,
      "average_score": 98.3179491017964
    },
    {
      "public_key": "010000000000fd800000000005000032fe000003000000013f000c3f0000000000",
      "era_id": 2489,
      "average_score": 0
    },
    ...
    {
      "public_key": "010000000000fd80000000000500006afe000003000000013f000c3f0000000000",
      "era_id": 2316,
      "average_score": 0
    }
  ],
  "item_count": 1396106,
  "page_count": 139611
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cspr.cloud/1.1.x/rest-api/validator-performance/get-historical-validator-performance.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
